<?php

namespace Superrobota;

use DB;
use Illuminate\Database\Seeder;

class MediaproviderTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('mediaproviders')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'mediaprovider.mediaprovider.view',
                'name'      => 'View Mediaprovider',
            ],
            [
                'slug'      => 'mediaprovider.mediaprovider.create',
                'name'      => 'Create Mediaprovider',
            ],
            [
                'slug'      => 'mediaprovider.mediaprovider.edit',
                'name'      => 'Update Mediaprovider',
            ],
            [
                'slug'      => 'mediaprovider.mediaprovider.delete',
                'name'      => 'Delete Mediaprovider',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/mediaprovider/mediaprovider',
                'name'        => 'Mediaprovider',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/mediaprovider/mediaprovider',
                'name'        => 'Mediaprovider',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'mediaprovider',
                'name'        => 'Mediaprovider',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Mediaprovider',
                'module'    => 'Mediaprovider',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'mediaprovider.mediaprovider.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
