Lavalite package that provides mediaprovider management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `superrobota/mediaprovider`.

    "superrobota/mediaprovider": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Superrobota\Mediaprovider\Providers\MediaproviderServiceProvider::class,

And also add it to alias

    'Mediaprovider'  => Superrobota\Mediaprovider\Facades\Mediaprovider::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Superrobota\\MediaproviderTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Superrobota\Mediaprovider\Providers\MediaproviderServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Superrobota\Mediaprovider\Providers\MediaproviderServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Superrobota\Mediaprovider\Providers\MediaproviderServiceProvider" --tag="view"


## Usage


